# $Revision: 1.31 $, $Date: 2008/01/31 12:16:06 $
%include	/usr/lib/rpm/macros.php
%define		_class		Games
%define		_subclass	Chess
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}

Summary:	%{_pearname} - construct and validate a logical chess game, does not display
Summary(pl.UTF-8):	%{_pearname} - konstruowanie i sprawdzanie poprawności logicznej gry w szachy
Name:		php-pear-%{_pearname}
Version:	1.0.1
Release:	2
Epoch:		0
License:	PHP 3.0
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	f531ee3c5600a1713f41b3a4c2b6b09f
URL:		http://pear.php.net/package/Games_Chess/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-common >= 3:4.2.0
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# included in tests
%define		_noautoreq 'pear(HTML_TestListener.php)' 'pear(TestUnit.php)'

%description
The logic of handling a chessboard and parsing standard FEN
(Farnsworth-Edwards Notation) for describing a position as well as SAN
(Standard Algebraic Notation) for describing individual moves is
handled. This class can be used as a backend driver for playing chess,
or for validating and/or creating PGN files using the File_ChessPGN
package.

Although this package is alpha, it is fully unit-tested. The code
works, but the API is fluid, and may change dramatically as it is put
into use and better ways are found to use it. When the API stabilizes,
the stability will increase.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Ten moduł obsługuje logikę obsługi szachownicy i analizy standardu
notacji FEN (Farnsworth-Edwards Notation) do opisu pozycji, a także
notacji SAN (Standard Algebraic Notation) do opisu poszczególnych
ruchów. Klasa może być używana jako backend do gry w szachy lub do
sprawdzania poprawności albo tworzenia plików PGN przy użyciu pakietu
File_ChessPGN.

Mimo że ten pakiet jest w stanie alpha, jest w pełni przetestowany.
Kod działa, ale API jest nie ustabilizowane i może się zmienić
drastycznie, jeśli znajdą się ku temu powody. Kiedy API się
ustabilizuje, zwiększy się stabilność całej klasy.

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl.UTF-8):	Testy dla PEAR::%{_pearname}
Group:		Development/Languages/PHP
Requires:	%{name} = %{epoch}:%{version}-%{release}
AutoReq:	no
AutoProv:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl.UTF-8
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

rm -f ./%{php_pear_dir}/data/Games_Chess/LICENSE # PHP 3.0

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/examples
%{php_pear_dir}/.registry/*.reg
%dir %{php_pear_dir}/%{_class}
%{php_pear_dir}/%{_class}/*.php
%{php_pear_dir}/%{_class}/%{_subclass}

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Games_Chess.spec,v $
Revision 1.31  2008/01/31 12:16:06  glen
- rel 2

Revision 1.30  2007-08-25 15:27:47  adamg
- updated to 1.0.1

Revision 1.29  2007/02/28 01:43:08  glen
- 1.0.0-stable

Revision 1.28  2007/02/13 08:06:39  glen
- tabs in preamble

Revision 1.27  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.26  2006/12/30 10:15:29  adamg
- updated to 0.9.1

Revision 1.25  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.24  2006/04/02 13:48:06  glen
- AutoProv: no for -tests

Revision 1.23  2006/03/29 22:29:17  glen
- rel 3 (rebuild with less deps)

Revision 1.22  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.21  2006/02/20 21:48:14  glen
- group Development/Languages/PHP for -tests

Revision 1.20  2006/01/08 18:04:08  glen
- AutoReq: no for -tests

Revision 1.19  2005/10/27 18:36:32  qboosh
- define Epoch to 0 explicitly when using it

Revision 1.18  2005/10/05 18:31:31  glen
- rel 2

Revision 1.17  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.16  2005/09/27 22:13:36  glen
- fix requires for -tests (typo)

Revision 1.15  2005/09/27 22:06:16  glen
- include epoch into tests subpackage requires

Revision 1.14  2005/09/21 21:06:13  glen
- use new pear packaging

Revision 1.13  2005/03/21 15:34:04  adamg
- updated to 0.9.0

Revision 1.12  2004/12/03 22:09:23  adamg
- rebuild with new PEAR provides/requires scripts
- release 3

Revision 1.11  2004/08/08 17:56:26  havner
- rel 2

Revision 1.10  2004/07/12 17:06:56  adamg
- updated to 0.8.1
- simplified %%files

Revision 1.9  2004/07/11 09:49:21  adamg
- updated to 0.8

Revision 1.8  2004/05/30 13:13:48  adamg
- fixed english information about status of the package

Revision 1.7  2004/04/09 15:32:17  adamg
- updated to 0.7.0

Revision 1.6  2004/03/15 17:44:30  ankry
- massive cosmetics

Revision 1.5  2003/12/29 08:43:04  adamg
- updated to 0.6alpha

Revision 1.4  2003/10/27 17:16:22  adamg
- updated to 0.5alpha

Revision 1.3  2003/10/19 18:19:30  qboosh
- pl

Revision 1.2  2003/10/14 07:30:27  adamg
- License and URL fixes

Revision 1.1  2003/10/14 07:29:01  adamg
- initial import
